import { combineReducers } from 'redux';
import rootSavedProjectsReducer from './reducers/saved-projects-reducer'
import rootSavedSceneReducer from './reducers/saved-scene-reducer'
import rootProductsAPIReducer from './reducers/products-api-reducer'
import colorAPIReducer from './reducers/colors-api-reducers'
import rootColorTextureReducer from './reducers/colors-selection-reducer'
import rootColorOptionsAPIReducer from './reducers/color-option-api-reducers'

const rootReducer = combineReducers({
  savedProjects: rootSavedProjectsReducer,
  savedScene: rootSavedSceneReducer,
  productsAPIData : rootProductsAPIReducer,
  colorAPIData : colorAPIReducer,
  colorsSelection: rootColorTextureReducer,
  colorOptions: rootColorOptionsAPIReducer
  // Add other reducers if needed
});

export default rootReducer;