const initialState = {
  colorOptionsGroup: null,
};

const updateGroup = (colors, key) => {

  if(!colors){
    return key
  }

  let index = colors.findIndex(item => item.name === key.name);

  if(index !== -1) {
    colors[index] = key;
  }

  return colors
}
const rootColorTextureReducer = (state = initialState, action) => {
  switch (action.type) {
    
    case 'SET_COLOR_OPTIONS_GROUP':
      let colorsData = updateGroup(state.colorOptionsGroup, action.payload);
      return {
        ...state,
        colorOptionsGroup: colorsData,
      };

      case 'GET_COLOR_TEXTURE':
        return state;

      case 'CLEAR_COLOR_OPTIONS_GROUP':
      return initialState;

      default:
      return state;
  }
};

export default rootColorTextureReducer;
